Skip to content

Logs

All operations require authentication.

12 operationsv1/dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List log kindsProduction

GET
/v1/dedicatedCloud/{serviceName}/log/kind

Path parameters

serviceName
required
string

Domain of the service

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/log/kind \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a log kindProduction

GET
/v1/dedicatedCloud/{serviceName}/log/kind/{name}

Path parameters

name
required
string

Log kind name

serviceName
required
string

Domain of the service

Response

200ldpKindsuccessful operation
additionalReturnedFields
read-only
string[]

List of additional log fields managed in this log kind

createdAt
read-only
stringdate-time

Creation date of the log kind

displayName
read-only
string

Log kind display name

kindId
read-only
stringuuid

Log kind ID

name
read-only
string

Log kind name

updatedAt
read-only
stringdate-time

Last update date of the log kind

Example uses name = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/log/kind/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

List log subscriptionsProduction

GET
/v1/dedicatedCloud/{serviceName}/log/subscription

List log subscriptions. Returns the IDs of the log subscriptions of the service. Filter by log kind with kind.

Path parameters

serviceName
required
string

Domain of the service

Query parameters

kind
string

Filter the value of kind property (=)

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a log subscriptionProduction

GET
/v1/dedicatedCloud/{serviceName}/log/subscription/{subscriptionId}

Path parameters

serviceName
required
string

Domain of the service

subscriptionId
required
stringuuid

Subscription ID

Response

200ldpSubscriptionsuccessful operation
createdAt
read-only
stringdate-time

Creation date of the subscription

kind
read-only
string

Log kind name of this subscription

resource
read-only
LogSubscriptionResource

Subscribed resource, where the logs come from

serviceName
read-only
string

Name of the destination log service

streamId
read-only
stringuuid

Id of the destination log stream

subscriptionId
read-only
stringuuid

Subscription ID

updatedAt
read-only
stringdate-time

Last update date of the subscription

Example uses serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Get the log forwarder optionBeta

GET
/v1/dedicatedCloud/{serviceName}/logForwarder

Path parameters

serviceName
required
string

Domain of the service

Response

200LogForwardersuccessful operation
state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/logForwarder \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "disabled"}

Check if log forwarding can be disabledBeta

GET
/v1/dedicatedCloud/{serviceName}/logForwarder/canBeDisabled

Path parameters

serviceName
required
string

Domain of the service

Response

200booleansuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/logForwarder/canBeDisabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Check if log forwarding can be enabledBeta

GET
/v1/dedicatedCloud/{serviceName}/logForwarder/canBeEnabled

Path parameters

serviceName
required
string

Domain of the service

Response

200booleansuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/logForwarder/canBeEnabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Create a log subscriptionProduction

POST
/v1/dedicatedCloud/{serviceName}/log/subscription

Create a log subscription. Sends the logs of a kind to a Logs Data Platform stream. The log forwarder option must be enabled first. Returns the operation ID.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

kind
required
string

Log kind name of the subscription

streamId
required
stringuuid

Id of the destination log stream

Response

200LogSubscriptionResponsesuccessful operation
operationId
stringuuid

Identifier of the operation

serviceName
string

Operation owner's service name

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Generate a log URLProduction

POST
/v1/dedicatedCloud/{serviceName}/log/url

Generate a log URL. Returns a temporary URL to read the logs of a kind in real time, with its expiration date.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

kind
required
string

Log kinds for your dedicated cloud

Response

200LogsURLsuccessful operation
expirationDate
stringdate-time

Expiration date

url
string

URL

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/log/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}

Disable the log forwarderBeta

POST
/v1/dedicatedCloud/{serviceName}/logForwarder/disable

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/logForwarder/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable the log forwarderBeta

POST
/v1/dedicatedCloud/{serviceName}/logForwarder/enable

Enable the log forwarder. Enables the log forwarder option, required to create log subscriptions. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/logForwarder/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete a log subscriptionProduction

DELETE
/v1/dedicatedCloud/{serviceName}/log/subscription/{subscriptionId}

Path parameters

serviceName
required
string

Domain of the service

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
stringuuid

Identifier of the operation

serviceName
string

Operation owner's service name

Example uses serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}